using FluentValidation;

namespace CMSMicroservice.Application.DiscountShopCQ.Commands.RemoveFromCart;

public class RemoveFromCartCommandValidator : AbstractValidator<RemoveFromCartCommand>
{
    public RemoveFromCartCommandValidator()
    {
        RuleFor(x => x.UserId)
            .GreaterThan(0).WithMessage("شناسه کاربر باید مثبت باشد");

        RuleFor(x => x.ProductId)
            .GreaterThan(0).WithMessage("شناسه محصول باید مثبت باشد");
    }
}
